# Form implementation generated from reading ui file 'src/eric7/MicroPython/EthernetDialogs/IPv4AddressDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IPv4AddressDialog(object):
    def setupUi(self, IPv4AddressDialog):
        IPv4AddressDialog.setObjectName("IPv4AddressDialog")
        IPv4AddressDialog.resize(400, 251)
        IPv4AddressDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(IPv4AddressDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_5 = QtWidgets.QLabel(parent=IPv4AddressDialog)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_2.addWidget(self.label_5)
        self.hostnameEdit = EricHostnameInputWidget(parent=IPv4AddressDialog)
        self.hostnameEdit.setObjectName("hostnameEdit")
        self.horizontalLayout_2.addWidget(self.hostnameEdit)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.dhcpCheckBox = QtWidgets.QCheckBox(parent=IPv4AddressDialog)
        self.dhcpCheckBox.setObjectName("dhcpCheckBox")
        self.verticalLayout.addWidget(self.dhcpCheckBox)
        self.ipAddressGroup = QtWidgets.QGroupBox(parent=IPv4AddressDialog)
        self.ipAddressGroup.setObjectName("ipAddressGroup")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.ipAddressGroup)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.ipAddressGroup)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.addressEdit = EricIPv4InputWidget(parent=self.ipAddressGroup)
        self.addressEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.addressEdit.setObjectName("addressEdit")
        self.gridLayout.addWidget(self.addressEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.ipAddressGroup)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.netmaskEdit = EricIPv4InputWidget(parent=self.ipAddressGroup)
        self.netmaskEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.netmaskEdit.setObjectName("netmaskEdit")
        self.gridLayout.addWidget(self.netmaskEdit, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.ipAddressGroup)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.gatewayEdit = EricIPv4InputWidget(parent=self.ipAddressGroup)
        self.gatewayEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.gatewayEdit.setObjectName("gatewayEdit")
        self.gridLayout.addWidget(self.gatewayEdit, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.ipAddressGroup)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.dnsEdit = EricIPv4InputWidget(parent=self.ipAddressGroup)
        self.dnsEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.dnsEdit.setObjectName("dnsEdit")
        self.gridLayout.addWidget(self.dnsEdit, 3, 1, 1, 1)
        self.horizontalLayout.addLayout(self.gridLayout)
        spacerItem = QtWidgets.QSpacerItem(283, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout.addWidget(self.ipAddressGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=IPv4AddressDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(IPv4AddressDialog)
        self.buttonBox.accepted.connect(IPv4AddressDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(IPv4AddressDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(IPv4AddressDialog)
        IPv4AddressDialog.setTabOrder(self.hostnameEdit, self.dhcpCheckBox)

    def retranslateUi(self, IPv4AddressDialog):
        _translate = QtCore.QCoreApplication.translate
        IPv4AddressDialog.setWindowTitle(_translate("IPv4AddressDialog", "IPv4 Address"))
        self.label_5.setText(_translate("IPv4AddressDialog", "Hostname:"))
        self.hostnameEdit.setToolTip(_translate("IPv4AddressDialog", "Enter the host name for the device (leave empty for MicroPython &lt; 1.20)."))
        self.dhcpCheckBox.setToolTip(_translate("IPv4AddressDialog", "Select to get the IPv4 address via DHCP."))
        self.dhcpCheckBox.setText(_translate("IPv4AddressDialog", "Dynamic IPv4 Address (DHCP)"))
        self.ipAddressGroup.setTitle(_translate("IPv4AddressDialog", "IPv4 Address"))
        self.label.setText(_translate("IPv4AddressDialog", "Address:"))
        self.label_2.setText(_translate("IPv4AddressDialog", "Netmask:"))
        self.label_3.setText(_translate("IPv4AddressDialog", "Gateway:"))
        self.label_4.setText(_translate("IPv4AddressDialog", "DNS:"))
from eric7.EricNetwork.EricHostnameInputWidget import EricHostnameInputWidget
from eric7.EricNetwork.EricIPv4InputWidget import EricIPv4InputWidget
